﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.MaTime>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts{
                      <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
                      <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
                      <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable();

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
                      </script>
    <script>
        deleterecord("MaTime");
    </script>
}


<div class="header">
    <div class="stats">
    </div>

    <h1 class="page-title">Time List</h1>
</div>

<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>

                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">

                      Total:  @ViewBag.TotalCount

                    </td>
                </tr>

            </table>
        </p>
        <div class="well">
            <table class="table" id="example">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.TimeIn)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Indesc)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.TimeOut)
                        </th>

                        <th>
                            @Html.DisplayNameFor(model => model.OutDesc)
                        </th>

                        <th>
                            Time Code
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.PackageHours)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Cdate)
                        </th>
                        <th>
                            Teacher Module Code
                        </th>
                        <th>
                          Available Seat
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                 @{int i = 0;
                      string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    { 
                          if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else{
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.TimeIn)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Indesc)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.TimeOut)
                            </td>

                            <td>
                                @Html.DisplayFor(modelItem => item.OutDesc)
                            </td>

                            <td>
                                @Html.DisplayFor(modelItem => item.TCode)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PackageHours)
                            </td>

                            <td>
                            @{string cdate = string.Format("{0:dd MMM,yyyy}", item.Cdate);}


                                @cdate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.TMCode)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.AvailSeat)
                            </td>

                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                
                                @{
                              int roleid = StaticLogic.RoleId();
                              if (Permission.CheckPermission(roleid, SSCMvc.Models.CommonUtil.Time, UserAction.Delete) == true)
                              {

                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaTime", new { id = item.Id }, new { @class = "delete-link" }, null)

                              }

                                }
                                
                               
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>

        </div>
    </div>
</div>
